<script setup>
import { computed } from "vue";
import { useRouter } from "vue-router";
import { useStore } from "vuex";
import QListItem from "./QListItem.vue";

const router = useRouter();

// import VueRouter from "vue-router";

// Vue.use(VueRouter);

const store = useStore();

const questions = computed(() => store.getters.filterQuestionsBySearchText);
//const movies = computed(() => store.state.movies);
// const onSubmitClick = () => {
//   Array.from(document.querySelectorAll("input[type=radio]")).forEach((item) => {
//     item.addEventListener("click", (e) => {
//       let correct = document.querySelectorAll(
//         "input[type=radio][value=correct]:checked"
//       ).length;
//       console.log(correct);
//     });
//   });
// };

const onSubmitClick = () => {
  console.log("result");
  // alert("Your result is" + store.state.point);
  router.push("/profile");
};
// let point = 0;
const onItemClick = () => {
  console.log("QList.vue on item clicked");
};
</script>

<template>
  <ul>
    <!-- <p>Hi-Qlist</p> -->
    <QListItem
      v-for="question in questions"
      :key="question.question"
      :question="question"
    />
    <button
      class="bg-yellow-500 p-3 rounded text-sm"
      v-on:click="onSubmitClick"
    >
      Submit
    </button>
  </ul>
</template>

<style scoped>
.grid-responsive {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}
</style>
